.TH PODMAN-COMPOSE "1" "User Commands"
.SH NAME
podman-compose \- Define and run multi-container applications with Podman.
.SH DESCRIPTION
podman-compose [OPTIONS] COMMAND [ARG...]
.SH OPTIONS
\fB\-h\fR, \fB\-\-help\fR
show this help message and exit
.TP
\fB\-v\fR, \fB\-\-version\fR
show version
.TP
\fB\-\-in\-pod\fR in_pod
pod creation
.TP
\fB\-\-pod\-args\fR pod_args
custom arguments to be passed to `podman pod`
.TP
\fB\-\-env\-file\fR env_file
Specify an alternate environment file
.TP
\fB\-f\fR file, \fB\-\-file\fR file
Specify an compose file (default: docker\-compose.yml) or '\-' to read from stdin.
.TP
\fB\-\-profile\fR profile
Specify a profile to enable
.TP
\fB\-p\fR PROJECT_NAME, \fB\-\-project\-name\fR PROJECT_NAME
Specify an alternate project name (default: directory name)
.TP
\fB\-\-podman\-path\fR PODMAN_PATH
Specify an alternate path to podman (default: use location in $PATH variable)
.TP
\fB\-\-podman\-args\fR args
custom global arguments to be passed to `podman`
.TP
\fB\-\-podman\-pull\-args\fR args
custom arguments to be passed to `podman pull`
.TP
\fB\-\-podman\-push\-args\fR args
custom arguments to be passed to `podman push`
.TP
\fB\-\-podman\-build\-args\fR args
custom arguments to be passed to `podman build`
.TP
\fB\-\-podman\-inspect\-args\fR args
custom arguments to be passed to `podman inspect`
.TP
\fB\-\-podman\-run\-args\fR args
custom arguments to be passed to `podman run`
.TP
\fB\-\-podman\-start\-args\fR args
custom arguments to be passed to `podman start`
.TP
\fB\-\-podman\-stop\-args\fR args
custom arguments to be passed to `podman stop`
.TP
\fB\-\-podman\-rm\-args\fR args
custom arguments to be passed to `podman rm`
.TP
\fB\-\-podman\-volume\-args\fR args
custom arguments to be passed to `podman volume`
.TP
\fB\-\-no\-ansi\fR
Do not print ANSI control characters
.TP
\fB\-\-no\-cleanup\fR
Do not stop and remove existing pod & containers
.TP
\fB\-\-dry\-run\fR
No action; perform a simulation of commands
.HP
\fB\-\-parallel\fR PARALLEL
.TP
\fB\-\-verbose\fR
Print debugging output
.SH COMMANDS
.SS help
show help
.SS version
show version
.SS wait
wait running containers to stop
.SS systemd
create systemd unit file and register its compose stacks
.TP
When first installed type `sudo podman\-compose systemd \fB\-a\fR create\-unit`
later you can add a compose stack by running `podman\-compose systemd \fB\-a\fR register`
then you can start/stop your stack with `systemctl \fB\-\-user\fR start podman\-compose@<PROJ>`
.SS pull
pull stack images
.SS push
push stack images
.SS build
build stack images
.SS up
Create and start the entire stack or some of its services
.SS down
tear down entire stack
.SS ps
show status of containers
.SS run
create a container similar to a service to run a one\-off command
.SS exec
execute a command in a running container
.SS start
start specific services
.SS stop
stop specific services
.SS restart
restart specific services
.SS logs
show logs from services
.SS config
displays the compose file
.SS port
Prints the public port for a port binding.
.SS pause
Pause all running containers
.SS unpause
Unpause all running containers
.SS kill
Kill one or more running containers with a specific signal
.SS stats
Display percentage of CPU, memory, network I/O, block I/O and PIDs for services.
.SS images
List images used by the created containers
.SH AUTHOR
This manual page was written by Athos Ribeiro <athoscribeiro@gmail.com> based on the help2man output.
